Go to the latest version of this document.

# ``twisted`.`logger`.`_stdlib`.`StringifiableFromEvent``

class documentation

`class StringifiableFromEvent: (source)`

Constructor: `StringifiableFromEvent(event)`

View In Hierarchy

An object that implements `__str__()` in order to defer the work of formatting until it's converted into a `str`.

Method | `__bytes__` | Undocumented
Method | `__init__` | No summary
Method | `__str__` | Undocumented
Instance Variable | `event` | Undocumented

def __bytes__(self) -> `bytes`: (source)

Undocumented

def __init__(self, event: `LogEvent`): (source)

Parameters
event:`LogEvent` | An event.

def __str__(self) -> `str`: (source)

Undocumented

event = (source)

Undocumented